Subject: Re: Truly decentralised use of git?

From: "Kārlis Repsons" <[email-masked]>
Date: Tue, 14 Jul 2009 13:22:58 +0000

On Tuesday 14 July 2009 09:22:10 you wrote:
> 2009/7/14 Kārlis Repsons <[email-masked]>:
> > Hello,
> > git is just great with its possibility of decentralised using, but how
> > can it be done, given, that participants are all across the internet?
> > IPv6? How is it done with kernel?
>
> I don't think "truly decentralised" is what you want[1]. For me, truly
> decentralised is when all the repositories are equal, and in
> particular there is no central repository to sync with.
>
> Normally there is a "social" central repository, be it controlled by
> one person (like the linux kernel) or by multiple people (like the
> gnome git repositories). It does not mean it is not decentralised,
> many people can (and do) have repositories spread across the internet
> and the central repository can be moved from one place to another.
>
> In a "truly decentralised" setup, every repository can sync any other
> repository. So you just provide a public repository and sync with the
> rest of repositories. It does not scale with a large number of
> repositories, so it is easier just to declare some of the repositories
> as central (like the Linus' repository and the subsystem
> repositories).
>
> In the linux kernel setup, there is a central repository, Linus'
> repository, with its public repository at kernel.org, and the
> subsystem repositories (x86, mm, usb,...) normally at kernel.org but
> they can be anywhere else. Everybody syncs with Linus' repository, and
> when you work in a specific subsystem you sync with the central one
> and/or the subsystem repository.
>
> HTH,
> Santi

I am sorry, another thing was of my interest.
My unknown is the technical realisation - how can particular repository be 
made available for easy pulling from it? Right now with IPv4 most normal 
workstations are not accessible directly, because they are behind routers.
That situation should be better with IPv6, but I haven't tried to use it.
I hope, question is now clarified.

k.